Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve.utilities.gamecompiler
Class MemorySource

    java.lang.Object
      javax.tools.SimpleJavaFileObject
          edu.princeton.repeatedgames.rgsolve.utilities.gamecompiler.MemorySource

All Implemented Interfaces:
  javax.tools.FileObject, javax.tools.JavaFileObject

     class MemorySource

extends javax.tools.SimpleJavaFileObject

Nested Class Summary

Nested classes/interfaces inherited from interface javax.tools.JavaFileObject
`javax.tools.JavaFileObject.Kind`

Field Summary
`private java.lang.String` | `src`

Fields inherited from class javax.tools.SimpleJavaFileObject
`kind, uri`

Constructor Summary
`MemorySource(java.lang.String name, java.lang.String src)`

Method Summary
`java.lang.CharSequence` | `getCharContent(boolean ignoreEncodingErrors)`
`java.io.InputStream` | `openInputStream()`
`java.io.OutputStream` | `openOutputStream()`

Methods inherited from class javax.tools.SimpleJavaFileObject
`delete, getAccessLevel, getKind, getLastModified, getName, getNestingKind, isNameCompatible, openReader, openWriter, toString, toUri`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### src

    private java.lang.String src

Constructor Detail

### MemorySource

    public MemorySource(java.lang.String name,
                        java.lang.String src)

Method Detail

### getCharContent

    public java.lang.CharSequence getCharContent(boolean ignoreEncodingErrors)

  Specified by:
    `getCharContent` in interface `javax.tools.FileObject`
  Overrides:
    `getCharContent` in class `javax.tools.SimpleJavaFileObject`

### openOutputStream

    public java.io.OutputStream openOutputStream()

  Specified by:
    `openOutputStream` in interface `javax.tools.FileObject`
  Overrides:
    `openOutputStream` in class `javax.tools.SimpleJavaFileObject`

### openInputStream

    public java.io.InputStream openInputStream()

  Specified by:
    `openInputStream` in interface `javax.tools.FileObject`
  Overrides:
    `openInputStream` in class `javax.tools.SimpleJavaFileObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD